<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ItemReturn extends Model
{
    use HasFactory;

    public function item()
    {
        return $this->hasMany(ItemReturnItem::class,'item_retern_id');
    }

    public function employee()
    {
        return $this->belongsTo(Employee::class,);
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }

    public function recivedUser()
    {
        return $this->belongsTo(User::class);
    }
}
